> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /github/pulls

> Get GitHub pull request details by URL or 'owner/name#number'

**Price:** 1 credit

**⚠️ Common errors:** 412: Pull request not found



## OpenAPI

````yaml /openapi/developer-data.json post /api/github/pulls
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/github/pulls:
    post:
      tags:
        - /github
      summary: /github/pulls
      description: |-
        Get GitHub pull request details by URL or 'owner/name#number'

        **Price:** 1 credit

        **⚠️ Common errors:** 412: Pull request not found
      operationId: __api_github_pulls_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GithubPullPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/GithubPull'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    GithubPullPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        pull:
          type: string
          minLength: 1
      type: object
      required:
        - pull
    GithubPull:
      properties:
        '@type':
          type: string
          default: GithubPull
        id:
          type: integer
        number:
          type: integer
        text:
          anyOf:
            - type: string
            - type: 'null'
        state:
          type: string
          default: ''
        is_draft:
          type: boolean
          default: false
        is_merged:
          type: boolean
          default: false
        mergeable:
          anyOf:
            - type: boolean
            - type: 'null'
        merged_at:
          anyOf:
            - type: string
            - type: 'null'
        merged_by:
          anyOf:
            - type: string
            - type: 'null'
        author:
          anyOf:
            - $ref: '#/components/schemas/GithubPullUser'
            - type: 'null'
        head:
          anyOf:
            - $ref: '#/components/schemas/GithubPullRef'
            - type: 'null'
        base:
          anyOf:
            - $ref: '#/components/schemas/GithubPullRef'
            - type: 'null'
        labels:
          items:
            $ref: '#/components/schemas/GithubPullLabel'
          type: array
          default: []
        assignees:
          items:
            $ref: '#/components/schemas/GithubPullUser'
          type: array
          default: []
        requested_reviewers:
          items:
            $ref: '#/components/schemas/GithubPullUser'
          type: array
          default: []
        comment_count:
          type: integer
          default: 0
        review_comment_count:
          type: integer
          default: 0
        commit_count:
          type: integer
          default: 0
        additions:
          type: integer
          default: 0
        deletions:
          type: integer
          default: 0
        changed_file_count:
          type: integer
          default: 0
        author_association:
          type: string
          default: ''
        created_at:
          type: string
          default: ''
        updated_at:
          type: string
          default: ''
        closed_at:
          anyOf:
            - type: string
            - type: 'null'
        web_url:
          type: string
          default: ''
      type: object
      required:
        - id
        - number
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    GithubPullUser:
      properties:
        '@type':
          type: string
          default: GithubPullUser
        id:
          type: integer
        login:
          type: string
        image:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
        - login
    GithubPullRef:
      properties:
        '@type':
          type: string
          default: GithubPullRef
        ref:
          type: string
        sha:
          type: string
        repo_alias:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - ref
        - sha
    GithubPullLabel:
      properties:
        '@type':
          type: string
          default: GithubPullLabel
        name:
          type: string
        color:
          type: string
          default: ''
      type: object
      required:
        - name
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````